Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFDialogsheet

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xssf.usermodel.XSSFSheet
              org.apache.poi.xssf.usermodel.XSSFDialogsheet

All Implemented Interfaces:
  java.lang.Iterable<Row>, Sheet

    public class XSSFDialogsheet

extends XSSFSheet
implements Sheet

Field Summary
`protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDialogsheet` | `dialogsheet`

Fields inherited from class org.apache.poi.xssf.usermodel.XSSFSheet
`sheet, worksheet`

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Fields inherited from interface org.apache.poi.ss.usermodel.Sheet
`BottomMargin, FooterMargin, HeaderMargin, LeftMargin, PANE_LOWER_LEFT, PANE_LOWER_RIGHT, PANE_UPPER_LEFT, PANE_UPPER_RIGHT, RightMargin, TopMargin`

Constructor Summary
`protected` | `XSSFDialogsheet(XSSFSheet sheet)`

Method Summary
`XSSFRow` | `createRow(int rowNum)` Create a new row within the sheet and return the high level representation
`boolean` | `getDialog()`
`protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPageBreak` | `getSheetTypeColumnBreaks()`
`protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter` | `getSheetTypeHeaderFooter()`
`protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPageMargins` | `getSheetTypePageMargins()`
`protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPrintOptions` | `getSheetTypePrintOptions()`
`protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetProtection` | `getSheetTypeProtection()`
`protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPageBreak` | `getSheetTypeRowBreaks()`
`protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetFormatPr` | `getSheetTypeSheetFormatPr()`
`protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetPr` | `getSheetTypeSheetPr()`
`protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetViews` | `getSheetTypeSheetViews()`

Methods inherited from class org.apache.poi.xssf.usermodel.XSSFSheet
`addMergedRegion, addValidationData, autoSizeColumn, autoSizeColumn, commit, createComment, createDrawingPatriarch, createFreezePane, createFreezePane, createSplitPane, disableLocking, enableLocking, findEndOfRowOutlineGroup, getActiveCell, getAutobreaks, getCellComment, getColumnBreaks, getColumnHelper, getColumnStyle, getColumnWidth, getCommentsTable, getCTWorksheet, getDataValidationHelper, getDataValidations, getDefaultColumnWidth, getDefaultRowHeight, getDefaultRowHeightInPoints, getDisplayGuts, getEvenFooter, getEvenHeader, getFirstFooter, getFirstHeader, getFirstRowNum, getFitToPage, getFooter, getHeader, getHorizontallyCenter, getHyperlink, getLastRowNum, getLeftCol, getMargin, getMergedRegion, getNumberOfComments, getNumHyperlinks, getNumMergedRegions, getOddFooter, getOddHeader, getPaneInformation, getPhysicalNumberOfRows, getPrintSetup, getProtect, getRow, getRowBreaks, getRowSumsBelow, getRowSumsRight, getScenarioProtect, getSheetName, getTopRow, getVerticallyCenter, getVMLDrawing, getWorkbook, groupColumn, groupRow, hasComments, isAutoFilterLocked, isColumnBroken, isColumnHidden, isDeleteColumnsLocked, isDeleteRowsLocked, isDisplayFormulas, isDisplayGridlines, isDisplayRowColHeadings, isDisplayZeros, isFormatCellsLocked, isFormatColumnsLocked, isFormatRowsLocked, isInsertColumnsLocked, isInsertHyperlinksLocked, isInsertRowsLocked, isObjectsLocked, isPivotTablesLocked, isPrintGridlines, isRowBroken, isScenariosLocked, isSelected, isSelectLockedCellsLocked, isSelectUnlockedCellsLocked, isSheetLocked, isSortLocked, iterator, lockAutoFilter, lockDeleteColumns, lockDeleteRows, lockFormatCells, lockFormatColumns, lockFormatRows, lockInsertColumns, lockInsertHyperlinks, lockInsertRows, lockObjects, lockPivotTables, lockScenarios, lockSelectLockedCells, lockSelectUnlockedCells, lockSort, onDocumentCreate, onDocumentRead, protectSheet, read, removeArrayFormula, removeColumnBreak, removeMergedRegion, removeRow, removeRowBreak, rowIterator, setActiveCell, setArrayFormula, setAutobreaks, setAutoFilter, setCellComment, setCellHyperlink, setColumnBreak, setColumnGroupCollapsed, setColumnHidden, setColumnWidth, setDefaultColumnStyle, setDefaultColumnWidth, setDefaultRowHeight, setDefaultRowHeightInPoints, setDisplayFormulas, setDisplayGridlines, setDisplayGuts, setDisplayRowColHeadings, setDisplayZeros, setFitToPage, setHorizontallyCenter, setMargin, setPrintGridlines, setRowBreak, setRowGroupCollapsed, setRowSumsBelow, setRowSumsRight, setSelected, setVerticallyCenter, setZoom, setZoom, shiftRows, shiftRows, showInPane, ungroupColumn, ungroupRow, write`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelations, onSave, read, rebase, removeRelation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.poi.ss.usermodel.Sheet
`addMergedRegion, addValidationData, autoSizeColumn, autoSizeColumn, createDrawingPatriarch, createFreezePane, createFreezePane, createSplitPane, getAutobreaks, getCellComment, getColumnBreaks, getColumnStyle, getColumnWidth, getDataValidationHelper, getDefaultColumnWidth, getDefaultRowHeight, getDefaultRowHeightInPoints, getDisplayGuts, getFirstRowNum, getFitToPage, getFooter, getHeader, getHorizontallyCenter, getLastRowNum, getLeftCol, getMargin, getMergedRegion, getNumMergedRegions, getPaneInformation, getPhysicalNumberOfRows, getPrintSetup, getProtect, getRow, getRowBreaks, getRowSumsBelow, getRowSumsRight, getScenarioProtect, getSheetName, getTopRow, getVerticallyCenter, getWorkbook, groupColumn, groupRow, isColumnBroken, isColumnHidden, isDisplayFormulas, isDisplayGridlines, isDisplayRowColHeadings, isDisplayZeros, isPrintGridlines, isRowBroken, isSelected, protectSheet, removeArrayFormula, removeColumnBreak, removeMergedRegion, removeRow, removeRowBreak, rowIterator, setArrayFormula, setAutobreaks, setAutoFilter, setColumnBreak, setColumnGroupCollapsed, setColumnHidden, setColumnWidth, setDefaultColumnStyle, setDefaultColumnWidth, setDefaultRowHeight, setDefaultRowHeightInPoints, setDisplayFormulas, setDisplayGridlines, setDisplayGuts, setDisplayRowColHeadings, setDisplayZeros, setFitToPage, setHorizontallyCenter, setMargin, setPrintGridlines, setRowBreak, setRowGroupCollapsed, setRowSumsBelow, setRowSumsRight, setSelected, setVerticallyCenter, setZoom, shiftRows, shiftRows, showInPane, ungroupColumn, ungroupRow`

Methods inherited from interface java.lang.Iterable
`iterator`

Field Detail

### dialogsheet

    protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDialogsheet dialogsheet

Constructor Detail

### XSSFDialogsheet

    protected XSSFDialogsheet(XSSFSheet sheet)

Method Detail

### createRow

    public XSSFRow createRow(int rowNum)

  Description copied from class: `XSSFSheet`
  Create a new row within the sheet and return the high level representation

  Specified by:
    `createRow` in interface `Sheet`
  Overrides:
    `createRow` in class `XSSFSheet`
  Parameters:
    `rowNum` - row number
  Returns:
    High level `XSSFRow` object representing a row in the sheet
  See Also:
    `XSSFSheet.removeRow(org.apache.poi.ss.usermodel.Row)`

### getSheetTypeHeaderFooter

    protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter getSheetTypeHeaderFooter()

### getSheetTypeSheetPr

    protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetPr getSheetTypeSheetPr()

### getSheetTypeColumnBreaks

    protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPageBreak getSheetTypeColumnBreaks()

### getSheetTypeSheetFormatPr

    protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetFormatPr getSheetTypeSheetFormatPr()

### getSheetTypePageMargins

    protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPageMargins getSheetTypePageMargins()

### getSheetTypeRowBreaks

    protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPageBreak getSheetTypeRowBreaks()

### getSheetTypeSheetViews

    protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetViews getSheetTypeSheetViews()

### getSheetTypePrintOptions

    protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPrintOptions getSheetTypePrintOptions()

### getSheetTypeProtection

    protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetProtection getSheetTypeProtection()

### getDialog

    public boolean getDialog()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.